### Enumeration

# WPEWebKit WebsiteDataTypes

since: 2.0

#### Declaration

    flags WPEWebKit.WebsiteDataTypes

#### Description

No description available.

Available since: 2.0

#### Members

`WEBKIT_WEBSITE_DATA_MEMORY_CACHE`
  No description available.
  - Value: `1`
  - Nickname: `memory-cache`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_DISK_CACHE`
  No description available.
  - Value: `2`
  - Nickname: `disk-cache`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_OFFLINE_APPLICATION_CACHE`
  No description available.
  - Value: `4`
  - Nickname: `offline-application-cache`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_SESSION_STORAGE`
  No description available.
  - Value: `8`
  - Nickname: `session-storage`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_LOCAL_STORAGE`
  No description available.
  - Value: `16`
  - Nickname: `local-storage`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_INDEXEDDB_DATABASES`
  No description available.
  - Value: `32`
  - Nickname: `indexeddb-databases`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_COOKIES`
  No description available.
  - Value: `64`
  - Nickname: `cookies`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_DEVICE_ID_HASH_SALT`
  No description available.
  - Value: `128`
  - Nickname: `device-id-hash-salt`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_HSTS_CACHE`
  No description available.
  - Value: `256`
  - Nickname: `hsts-cache`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_ITP`
  No description available.
  - Value: `512`
  - Nickname: `itp`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_SERVICE_WORKER_REGISTRATIONS`
  No description available.
  - Value: `1024`
  - Nickname: `service-worker-registrations`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_DOM_CACHE`
  No description available.
  - Value: `2048`
  - Nickname: `dom-cache`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_ALL`
  No description available.
  - Value: `4095`
  - Nickname: `all`
  - Available since: 2.0